Claire for Mocha
================

Claire for Mocha is a library that makes it easier to use the [Claire][]
property-based testing library in Mocha.


### Example

Just use Claire for Mocha's `forAll` to define your properties:

```ls
global <<< require 'claire-mocha'
global <<< (require 'claire').data
{ for-all } = require 'claire'

describe 'Lists' ->
  o 'Concatenation' -> do
                       for-all (List Int), (List Int)
                       .satisfy (xs, ys) -> (xs.length + ys.length) is (xs ++ ys).length
```

And run Mocha as you normally would:

```bash
$ mocha

  List
    ✓ - Concatenation should yield lists with the same size    
```


### Installation

```bash
$ npm install claire-mocha
```

### Licence

MIT/X11. ie.: Do whatever you want.
